# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/sun-jaxws/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define section free
%define jaxwsver  2.1.1

Name:           glassfish-jaxws
Version:        2.1.1
Release:        4%{?dist}
Epoch:          0
Summary:        Java API for XML Web Services API
License:        CDDL
URL:            https://jax-ws-sources.dev.java.net/
# cvs -d:pserver:guest@cvs.dev.java.net:/cvs export -r jaxws211-fcs -d jaxws-ri jax-ws-sources/jaxws-ri
# tar czf glassfish-jaxws-2.1.1-src.tar.gz jaxws-ri
Source0:	%{name}-%{version}-src.tar.gz
Source1:	%{name}-component-info.xml
Source2:        http://repo1.maven.org/maven2/javax/xml/ws/jaxws-api/2.1/jaxws-api-2.1.pom
Group:          Development/Libraries/Java
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6.5
BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides:       jaxws_api = 0:%{jaxwsver}
Provides:       jaxws_2_1_api = 0:%{version}-%{release}

%description
The Java API for XML-Based Web Services (JAX-WS) 2.1 
according to JSR-224 MR2i.

%if %{with_repolib}
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       jaxws-javadoc = 0:%{jaxwsver}

%description javadoc
%{summary}.

%prep
%setup -q -n jaxws-ri

%build
export CLASSPATH=
export OPT_JAR_LIST=:
ant dist

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/jaxws-ri/lib/jaxws-api.jar $RPM_BUILD_ROOT%{_javadir}/
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/
install -m 644 dist/jaxws-ri/lib/FastInfoset.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/FastInfoset.jar
install -m 644 dist/jaxws-ri/lib/http.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/http.jar
install -m 644 dist/jaxws-ri/lib/jaxws-api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jaxws-api.jar
install -m 644 dist/jaxws-ri/lib/jaxws-rt.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jaxws-rt.jar
install -m 644 dist/jaxws-ri/lib/jaxws-tools.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jaxws-tools.jar
install -m 644 dist/jaxws-ri/lib/jsr173_api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jsr173_api.jar
install -m 644 dist/jaxws-ri/lib/jsr181-api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jsr181-api.jar
install -m 644 dist/jaxws-ri/lib/jsr250-api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/jsr250-api.jar
install -m 644 dist/jaxws-ri/lib/saaj-api.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/saaj-api.jar
install -m 644 dist/jaxws-ri/lib/saaj-impl.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/saaj-impl.jar
install -m 644 dist/jaxws-ri/lib/resolver.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/resolver.jar
install -m 644 dist/jaxws-ri/lib/sjsxp.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/sjsxp.jar
install -m 644 dist/jaxws-ri/lib/stax-ex.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/stax-ex.jar
install -m 644 dist/jaxws-ri/lib/streambuffer.jar $RPM_BUILD_ROOT%{_javadir}/sun-jaxws/streambuffer.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/jaxws-ri/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 CDDL-1.0-license.txt \
           $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

# poms
%add_to_maven_depmap javax.xml.ws jaxws-api %{version} JPP/sun-jaxws jaxws-api
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws.jaxws-api.pom

%if %{with_repolib}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
        sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        cp -p dist/jaxws-ri/lib/jaxws* $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/jaxws-ri/lib/jsr* $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/jaxws-ri/lib/http.jar $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/jaxws-ri/lib/resolver.jar $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/jaxws-ri/lib/FastInfoset.jar $RPM_BUILD_ROOT%{repodirlib}/
        cp -p dist/jaxws-ri/lib/s* $RPM_BUILD_ROOT%{repodirlib}/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_2_1_api.jar jaxws_2_1_api %{_javadir}/jaxws-api.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_api.jar jaxws_api %{_javadir}/jaxws-api.jar 20100
%update_maven_depmap

%preun
%update_maven_depmap
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxws_2_1_api %{_javadir}/jaxws-api.jar
    %{_sbindir}/update-alternatives --remove jaxws_api %{_javadir}/jaxws-api.jar
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}
%{_javadir}/jaxws-api.jar
%{_javadir}/sun-jaxws/*.jar
%{_datadir}/maven2/poms/JPP.sun-jaxws.jaxws-api.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Mon Sep 29 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-4
- fix alternatives

* Wed Aug 20 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-3
- add maven pom
- fix repolib permissions
- fix component-info.xml

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-2
- fix summary
- fix java-devel requirement

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-2
- remove javadoc scriptlets
- fix repolib permissions
- update BuildRoot
- remove Vendor and Distribution
- quiet setup
- use macros

* Mon Jul 21 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.3
- Added resolver.jar to repolib

* Mon Jul 21 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.2
- Change sun-jaxb-2.1-component-info to glassfish-jaxb-component-info.xml

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.1
- First release

